Debian Bug report logs - #432524
pixie - FTBFS: Needs more than 1GiB to build

version graph

Package: pixie; Maintainer for pixie is (unknown);

Reported by: Bastian Blank <waldi@debian.org>

Date: Tue, 10 Jul 2007 10:51:02 UTC

Severity: serious

Found in version pixie/2.1.1-1

Fixed in version 2.2.1-1+rm

Done: Raphael Geissert <atomo64@gmail.com>

Bug is archived. No further changes may be made.

Forwarded to okan@cs.utexas.edu

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Gürkan Sengün <gurkan@linuks.mine.nu>:
Bug#432524; Package pixie. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
New Bug report received and forwarded. Copy sent to Gürkan Sengün <gurkan@linuks.mine.nu>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: submit@bugs.debian.org
Subject: pixie - FTBFS: Needs more than 1GiB to build
Date: Tue, 10 Jul 2007 12:46:45 +0200
Package: pixie
Version: 2.1.1-1
Severity: serious

There was an error while trying to autobuild your package:

> Automatic build of pixie_2.1.1-1 on lxdebian.bfinv.de by sbuild/s390 98
[...]
> if /bin/sh ../../libtool --mode=compile s390-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I../.. -I..    -g -O2 -MT execute.lo -MD -MP -MF ".deps/execute.Tpo" -c -o execute.lo execute.cpp; \
> 	then mv -f ".deps/execute.Tpo" ".deps/execute.Plo"; else rm -f ".deps/execute.Tpo"; exit 1; fi
>  s390-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I../.. -I.. -g -O2 -MT execute.lo -MD -MP -MF .deps/execute.Tpo -c execute.cpp  -fPIC -DPIC -o .libs/execute.o
> s390-linux-gnu-g++: Internal error: Killed (program cc1plus)
> Please submit a full bug report.
> See <URL:http://gcc.gnu.org/bugs.html> for instructions.
> For Debian GNU/Linux specific bug reporting instructions, see
> <URL:file:///usr/share/doc/gcc-4.1/README.Bugs>.
> 
> make[4]: *** [execute.lo] Error 1
> make[4]: Leaving directory `/build/buildd/pixie-2.1.1/src/ri'
> make[3]: *** [all-recursive] Error 1
> make[3]: Leaving directory `/build/buildd/pixie-2.1.1/src'
> make[2]: *** [all-recursive] Error 1
> make[2]: Leaving directory `/build/buildd/pixie-2.1.1'
> make[1]: *** [all] Error 2
> make[1]: Leaving directory `/build/buildd/pixie-2.1.1'
> make: *** [build-stamp] Error 2
> ******************************************************************************
> Build finished at 20070710-0021
> FAILED [dpkg-buildpackage died]



Information forwarded to debian-bugs-dist@lists.debian.org, Gürkan Sengün <gurkan@linuks.mine.nu>:
Bug#432524; Package pixie. Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@debian.org>:
Extra info received and forwarded to list. Copy sent to Gürkan Sengün <gurkan@linuks.mine.nu>. Full text and rfc822 format available.

Message #10 received at 432524@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: 432524@bugs.debian.org
Subject: also on ia64
Date: Fri, 20 Jul 2007 13:44:19 -0600
I'm also seeing this on ia64.

http://buildd.debian.org/fetch.cgi?&pkg=pixie&ver=2.2.1-1&arch=ia64&stamp=1184958208&file=log

-- 
dann frazier




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#432524; Package pixie. Full text and rfc822 format available.

Acknowledgement sent to Gürkan Sengün <gurkan@linuks.mine.nu>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #15 received at 432524@bugs.debian.org (full text, mbox):

From: Gürkan Sengün <gurkan@linuks.mine.nu>
To: Dann frazier <dannf@debian.org>
Cc: debian-bugs-dist@lists.debian.org, 432524@bugs.debian.org
Subject: Re: Bug#432524: also on ia64
Date: Sun, 22 Jul 2007 12:43:42 +0200
Hello Dann

> I'm also seeing this on ia64.
> 
> http://buildd.debian.org/fetch.cgi?&pkg=pixie&ver=2.2.1-1&arch=ia64&stamp=1184958208&file=log

Thank you for your note, I see it as well. The problem is that the 
builddaemons
don't have enough memory/swap. Give them 1.3 GB and it'll build.

Yours,
Guerkan




Information forwarded to debian-bugs-dist@lists.debian.org, Gürkan Sengün <gurkan@linuks.mine.nu>:
Bug#432524; Package pixie. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to Gürkan Sengün <gurkan@linuks.mine.nu>. Full text and rfc822 format available.

Message #20 received at 432524@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: Gürkan Sengün <gurkan@linuks.mine.nu>, 432524@bugs.debian.org
Cc: Dann frazier <dannf@debian.org>
Subject: Re: Bug#432524: also on ia64
Date: Sun, 22 Jul 2007 15:00:45 +0200
On Sun, Jul 22, 2007 at 12:43:42PM +0200, Gürkan Sengün wrote:
> Hello Dann
>
>> I'm also seeing this on ia64.
>> http://buildd.debian.org/fetch.cgi?&pkg=pixie&ver=2.2.1-1&arch=ia64&stamp=1184958208&file=log
>
> Thank you for your note, I see it as well. The problem is that the 
> builddaemons
> don't have enough memory/swap. Give them 1.3 GB and it'll build.

On the amd64 buildd I saw cc1plus use atleast 3728 MiB, and as about 970
MiB.  (The generated .o file is 177 MB.)


Kurt




Noted your statement that Bug has been forwarded to okan@cs.utexas.edu. Request was from Gurkan Sengun <gurkan@linuks.mine.nu> to control@bugs.debian.org. (Sun, 22 Jul 2007 13:06:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#432524; Package pixie. Full text and rfc822 format available.

Acknowledgement sent to Gürkan Sengün <gurkan@linuks.mine.nu>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #27 received at 432524@bugs.debian.org (full text, mbox):

From: Gürkan Sengün <gurkan@linuks.mine.nu>
To: 434215@bugs.debian.org, 432524@bugs.debian.org
Subject: Re: pixie is now officially part of debian (fwd)
Date: Mon, 23 Jul 2007 21:32:27 +0200
---------- Forwarded message ----------
Date: 2007-07-23 06:47:21 +0200
From: Okan Arikan <okan@cs.utexas.edu>
Subject: Re: pixie is now officially part of debian


	Hi Gurkan,

	Yes, we're working on this problem. The next version of Pixie has an  
updated interpreter that should play nicer with the compiler.

	The second problem should be fixed in 2.2.2.

	Thanks

	Okan

On Jul 22, 2007, at 8:03 AM, Gürkan Sengün wrote:

> Hello Okan
>
> I have two reports on pixie in Debian, one is
> that it needs about 1,2 GB of memory (and swap if not real memory  
> exists)
> to be built: is it possible to lower the memory usage for building  
> somehow?
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=432524
>
> Another is a bugreport
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=434215
>
> You can find the build details at:
> http://buildd.debian.org/build.php?arch=&pkg=pixie
>
> Yours,
> Guerkan







Information forwarded to debian-bugs-dist@lists.debian.org, Gürkan Sengün <gurkan@linuks.mine.nu>:
Bug#432524; Package pixie. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Gürkan Sengün <gurkan@linuks.mine.nu>. Full text and rfc822 format available.

Message #32 received at 432524@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Gürkan Sengün <gurkan@linuks.mine.nu>, 434215@bugs.debian.org
Cc: 432524@bugs.debian.org
Subject: Re: Bug#434215: pixie is now officially part of debian (fwd)
Date: Mon, 5 Nov 2007 18:11:45 +0100
On 23/07/07 at 21:32 +0200, Gürkan Sengün wrote:
> ---------- Forwarded message ----------
> Date: 2007-07-23 06:47:21 +0200
> From: Okan Arikan <okan@cs.utexas.edu>
> Subject: Re: pixie is now officially part of debian
> 
> 
> 	Hi Gurkan,
> 
> 	Yes, we're working on this problem. The next version of Pixie has an  
> updated interpreter that should play nicer with the compiler.
> 
> 	The second problem should be fixed in 2.2.2.

Version 2.2.2 has been released and is available on
https://sourceforge.net/project/showfiles.php?group_id=59462

I'm not sure if Okan's mail means that the first problem is fixed too in
this version, or not.

Lucas




Reply sent to Raphael Geissert <atomo64@gmail.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Bastian Blank <waldi@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #37 received at 432524-done@bugs.debian.org (full text, mbox):

From: Raphael Geissert <atomo64@gmail.com>
To: 432524-done@bugs.debian.org
Subject: pixie has been removed from Debian, closing #432524
Date: Sun, 20 Apr 2008 18:17:42 -0500
Version: 2.2.1-1+rm

The pixie package has been removed from Debian testing, unstable and
experimental, so I am now closing the remaining open bugs.

For more information about this package's removal, read
http://bugs.debian.org/476326 . That bug might give the reasons why
this package was removed, and suggestions of possible replacements.

Don't hesitate to reply to this mail if you have any question.

Thank you for your contribution to Debian.

Kind regards,
--
Raphael Geissert




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 10 Aug 2008 11:23:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:18:02 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.